# Kompot za nazaj - kratka geneza

Malo sem se nahajpal nad kompot delovnim vikendom in sem postal senimentalen in sedaj zapisujem kompot stvari. Pomislil sem, da bi to lahko bil nek zgodovinski blogpost - nastanek kompota in prvo leto njegovega delovanja, ampak se nimamo bloga postavljenega. Bo ze, najbrz kmalu.

Za formalni zacetek kompota zacetek kompota lahko stejemo prvi testni mail na librehosting mailing listo, ki tece na mailmanu radia student. Ta mail je bil poslan 9. novembra 2019. Sledilo je nekaj javnih predstavitev in zacetnih sestankov v Osmozi in v Rogu, na katerih smo nabirali potrebscine in sredstva, ampak preden pridem do tega mogoce se par besed o casu pred rojstvom kompota, preden je skalil.

Pred tem so bile tri stvari. Iskrin delovni odbor za tehnologijo (tehnoemancipacija + telekomunisticni manifest), potem je prisel IRS - Informatika Radia Student in nato Tehno klistir. Tehno klistir, oddaja, ki preciscuje vase tehnolosko drobovje, je bil nekaksen poskus furanja naprej stvari, ki smo jih poceli v DOTu, samo v drugi obliki. Agitate, educate, organize. Preprosta, a ucinkovita formula.

Tehno klistir je ponudil prostor za raziskovanje produkcijskih procesov in odklonskosti znotraj informacijske industrije, informatika radia student pa je provajdala tehnicno znanje. Navdusenost nad meglo - selfhostanim radijskim oblakom in drugimi povezanimi storitvami je pripelala do ideje, da bi podobne storitve omogocili tudi uporabnikom, ki niso nujno sodelavci radia. Materializira se je moznost, da postavimo tehnicno dovrsene alternative mainstream spletnim storitvam, ki (po vecini) ne temeljijo na komercialnih poslovnih modelih in ustrezajo kriterijem proste programske opreme.

Odlocili smo se za grassroot, odspodaj navzgor pristop, ki ima svoje pomankljivosti. Recimo glavna kritika je najbrz ta, da zaradi svoje nekonkurencnosti ne more prodreti v mainstream, ne more omajati monopolov na tem podrocju. Ampak po drugi strani je bolj ali manj parlamentarno politicna pot za dosego sprememb na tem podrocju izgledala se veliko bolj infantilna in brezupna.

Ohranjajoc nujnost politicnih sprememb v mislih, se lahko spet vrnemo na aktivisticno pot zacetnih predstavitvenih sestankov. Ideja je bila preprosta, ampak tudi megalomanska. Pridruzimo se librehosterjem, ki to ze pocnejo drugje. Sami postavimo svoje storitve in hkrati vse lepo podokumentiramo, zato da bomo s tem olajsali delo potencialnim sorodnim organizacijam. Storitve poganjamo na svoji infrastrukturi - rabljena strezniska strojna oprema, je nedavno postala precej dostopna. Padla ji je cena, hkrati pa je nek krog ljudi okrog IRS zacel z rednimi sluzbami ali pa jih je ze imel. Kakor koli.

Poleg tega gobnega razplajanja s trosi in vzpostavljanja novih podobnih kolektivov smo predvidevali izobrazevanja uporabnikov in nekaksna dezurstva, na katerih bi nudili pomoc uporabnikom. To je recimo nek vidik, za katerega smo predvidevali, da bi nam lahko prinesel nekaj tock napram komercialnim ponudnikom storitev, ki se z nudenjem pomoci po vecini ne ukvarjajo sploh. To in pa se nek bolj oseben stik s samimi storitvami, saj je bil za cilj kompota postavljena tudi premostitev prepada med ponudniki storitev in uporabniki. Uporabniki odlocajo o razvoju in hkrati tudi sami vzdrzujemo storitve.

Nekje v tem casu smo dolocili tudi ime organizacije. Igrali smo se s kompostom in komplotom, skratka ta zlog kom se lahko navezuje tudi na community torej skupnost, potem pa se je izkazalo, da je kompost.si domena za zakupljena in smo se odlocili za kompot. Meni je simpaticno. Na tej tocki lahko omenim tudi proces izbire logotipa. Gizmotu je bila vsec fraza proaktivni deceleracionizem, nekaksen antipod aceleracionizma, ki crpa navdih tudi v prijateljstvu do zmernega napredka. Polz je pocasi se premikajoca zival, hkrati pa na hrbtu nosti svojo hiso, kar je fina prispodoba za samoupravno gostiteljstvo. Ko vse to zmesame med sabo, dobimo polza, ki ima namesto hiske kozarec kompota, kompot sam pa je narejen iz tehnoloskih mrez, ki simbolizirajo federirane storitve, nad katerimi se navdusujemo, pa jih sploh se nisem omenil.

Po uvodnih sestankih je sledilo precej dogovarjanja glede strojne opreme, dostopa do interneta in placila elektrike. K sreci nam je Radio Student solidarno stopil naproti in nam odstopil prostor v svoji strezniski sobi in del pasovne sirine, ki presega potrebe radija. Kompot se je zavezal, da bo imel tudi radio koristi od tega, saj bomo producirali kadre, ki bi lahko pomagali v informacijski sluzbi Radia Student.

Podobno sreco smo imeli tudi s streznikom. V souporabo nam je ponudil svoj streznik nekdanji clan informacijske sluzbe radia student. Skupaj smo zbrali se nekaj sto evrov za diskovje in nato se je zacelo delo s podrocja sistemske administracije. Na streznik smo namestili proxmox, znotraj virtualk pa potem se yunohost (mail streznik), nextcloud (oblacna shramba), wiki (za dokumentirat vse) in matrix (za klepet).

Izvedli smo tudi dve delavnici uporabe ukazne lupine, ki je osnovno orodje za sistemsko administracijo, potem pa je prisel kovid in jaz sem zacel z novo sluzbo, tako da je bilo organiziranje 2x oslabljeno, vendar ni zamrlo. Poskusili smo si olajsati organiziranje s pomocjo kanban boarda, vendar ni najbolj zazivelo. Tudi to je treba posebej izpolnjevati itn.

Od zahtevnejsih stvari znotraj kompota je treba omenit se pisanje pogojev uporabe in politike zasebnosti. Nekako sumim, da ju nismo povsem ponotranjili, in da se vedno vsebujeta skrbine, ampak bilo je kar veliko dela za napisat. Pricakujem, da se bosta ta dva dokumenta se organsko dopoljnevala in usklajevala, ko bo potreba.

## Refleksija trenutnega stanja

Prisli smo do trenutnega zmedenaga trenutka. Kuki je uspesno porival naprej v zadnjem casu in za ta teden (vikend 16. in 17. 1. 2021) je bilo dogovorjeno, da bomo snemali kratke screen caste o uporabi nasih storitev. To se ni ravno materializiralo, smo pa se dvakrat dobili, nekaj stvari predebatirali in postavili 3 storitve, ki so bile ze planirane - peertube (pretakanje videev), mobilizon (dogodki) in gitea (git). Kuki je zacel z izdelavo dizajna za te videe.

Ce pogledam nazaj, bi prvo leto delovanja kompota ocenil za pozitivno. Ne vem koliko rednih uporabnikov smo pridobili, ampak storitve tecejo in organizacija vsak dan v vseh pogledih vse bolj napreduje. Hehe, veliko stvari je ostalo ne-dokoncanih, ampak hkrati si zanje nismo postavili roka in bodo opravljene, ko se bosta sracali volja in moc.

Zdi se mi, da bi lahko vec naredili na ne-tehnicnem podrocju. Se mi zdi, da nam ni uspelo ravno najbolj integrirat clanstva. To bi si mogoce postavil za eno od prioritet v prihodnosti, ampak mislim, da bo to lazje sedaj, ko nam vecina storitev tece. Sedaj se res lahko zacnemo ukvarjat z graficno podobo in delat na promociji storitev. En pomislek, ki sem ga imel kako leto nazaj, je bil, da bo veliko dela padlo na naju z gizmotom. Me zanima, kaj gizmo misli o tem. Delno se lahko izgovorimo tudi na covid. Mislim, da bi morali imeti bolj strukturirane sestanke (vsaj vcasih) in vec delavnic.

Rad bi imel predstavitev kompota oziroma delavnico o kompotu v dpznju v Kopru.

# Kompot za naprej

* integracija in interpelacija clanstva
  * mogoce kaksna anketa, feedback, oziroma samo debata.
  * fino bi se mi zdelo, ce bi imeli par resnih organizatorjev, ki bi bdeli nad kanbanom in koledarji.
* formalizacija organizacijske strukture
  * predvsem dolocitev vlog, pa ne zaradi tega, kar bi hotel bit formalist, vloge so lahko zelo fluidne, ampak bolj zato, ker se mi zdi, da trenutna situacija, ko vloge niso formalizirane te vloge samo se bolj zakriva.
  * bodo se anarhisti podali svoje mnenje, ker se tudi s tem ukvarjajo
* blog(ing)
  * federirana blogging platforma, ki bo omogocala uporabnikom, da postavijo svoj blog s svojo domeno in svojim dizajnom
  * twitter bot, ki bo retwital mastodon toot.si account od kompot organizacije
* backupi
  * nov streznik na drugi lokaciji
  * monitoring dostopnosti storitev
* branding
  * celostna graficna podoba
  * prilagoditev/poenotenje stilov posameznih servicov
* daljna prihodnost
  * lasten razvoj - recimo browser plugin, ki nekako hkrati ustvari dogodek na mobilizonu in facebooku (ce bi slo)
  * activity pub library za php in potem njegova integracija v drupal modul