# Kompot sestanek

Četrtek, 11. 1. 2021 na RŠ vidri: \
<https://vidra.radiostudent.si/kompotenje>

Prisotni: LDN, UG, JP, GK, KT, JK, G?

## Dnevni red

> * mejling liste \
>   \
>   \- živopretakanje \
>   \
>   \- promocijsko-pedagoški videi storitev \
>   \
>   \- mobilizon za dogodke? \
>   \
>   \- peertube? \
>   \
>   \- razno

## Storitve

Priprava mailman3 sistema za mejling liste še teče. Zataknilo se je pri ključni funkcionalnosti - pošiljanje in prejemanje mejlov. Postfix ne prebere konfiguracije mailmana pravilno - storitev pride kmalu.

V teku je tudi postavitev request tracker sistema za ticketing, ki bo služil organiziranju komunikacije za podporo ter splošne informacije (info@kompot.si, podpora@kompot.si).

V zadnjem času smo preko kompot platforme streamali tedenske jam sessione Jazz kluba Mezzoforte. Dogajajo se vsak četrtek med 18.30 in 20.00 uro na linku: **<https://kompot.si/cirkus-tovarne-rog/prisluhni/>**

Če bi kdo rad bil redno obveščen, kdaj se dogajajo, lahko posredujem mail kontakt na njihovo listo. Vabljeni k ogledom, posnetki so tukaj: <https://kompot.si/cirkus-tovarne-rog>

Najprej smo streamali kar z icecastom (sicer za audio streame) in preproso html stranjo z video tagom. Ker je prišlo do težav s podporo na različnih napravah zaradi patentov na video kodekih in nepodpiranju odprtih kodekov s strani monopolistov, smo prešli na DASH protokol preko nginx strežnika. Ob priliki, ko bo čas, JP spiše blog post z več informacijami na temo. Streama še vedno ni mogoče spremljat preko iPhonov. Sicer pa je Thierno v povabila vključil tudi izsek manifesta Kompot, slava mu! Primeri konfiguracij strežnika za stream bo tudi priložen na wiki, ko bo čas.

Dodatne zaželene storitve: Mobilizon za dogodke, Peertube (nedavno prišel v3 s podporo streamanja!), git(ea), youtube-dl kot web service.

## Promocijsko-pedagoški videi

Padel je predlog za delovni vikend, na katerem bi pacali videe in splošno sodelovali. Potencialna predloga za prostor sta RŠ in Kersnikova ter Živko Skvotec. Zadnji se zdi najbolj ziher in prostoren. Slaba stran je, da ni elektrike do pol 6 zvečer. Bomo bolj aktivni ponoči, pred tem pa si lahko delimo prenosne računalnike (ne rabi nujno vsak svojega).

Jurij se je javil za gnjavljenje vsaka dva dni, prvi izmed gnjavnikov pride danes s temle zapisnikom. Dobili bi se predvidoma sledeči vikend, 16.-17. januarja.

<https://obzorje.kompot.si/apps/polls/s/mLALzNFFviYUNGAk>

### Vsebina videov

Vsebinsko smo dorekli, da bi naredili čim krajše in to-the-point videe, ki prikažejo praktično uporabo prostoprogramskih rešitev ter nato postavitev le teh.

Primeri scenarijev:

1. kako iz terminala namestiti youtube-dl in z njim zloudat videe iz youtube in drugje. Naslednji video kako namestiti youtube-dl kot spletno storitev, da na klik tudi ostali lahko nalagajo videe?
2. Osnovne rabe obzorja, recimo kako naložiti datoteko, generirat share link in ga komu poslati. Nato kako namestiti yunohost ter na njem postavit nextcloud? Nato kako namestiti yunohost na rasberry pi?
3. Dodatni predlogi dobrodošli!

Predloge zbiramo tukaj:

<https://pad.riseup.net/p/kompot-video-scenariji>

Na delovnem vikendu bomo dopedenali scenarije, dokumentirali, gikali, konfigurirali ter se družili. Vabljeni vsi, kar pišite na listo, matrix ali kam drugam. Prihaja tudi poll za glasovanje kdaj bi kdo imel čas.

## Razno

* Gemini je zanimiv "lahek" protokol, alternativen http/html za splet
* Kdenlive je fajn program za monitranje videa: <https://kdenlive.org/en/>
* Fragmenti so najdeni v priloženem fajlu vidra chat